package service

import (
    "context"
	"github.com/go-nunu/nunu-layout-advanced/internal/model"
	"github.com/go-nunu/nunu-layout-advanced/internal/repository"
)

type GatewayipService interface {
	GetGatewayip(ctx context.Context, id int64) (*model.Gatewayip, error)
}
func NewGatewayipService(
    service *Service,
    gatewayipRepository repository.GatewayipRepository,
) GatewayipService {
	return &gatewayipService{
		Service:        service,
		gatewayipRepository: gatewayipRepository,
	}
}

type gatewayipService struct {
	*Service
	gatewayipRepository repository.GatewayipRepository
}

func (s *gatewayipService) GetGatewayip(ctx context.Context, id int64) (*model.Gatewayip, error) {
	return s.gatewayipRepository.GetGatewayip(ctx, id)
}
